Subject: bug#41627: 28.0.50; Emacs with cairo build segfault in HELLO file

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 22 Oct 2020 13:41:21 +0200

Robert Pluim <[email-masked]> writes:

>     Lars> Did you get any further here?  The posted patch wasn't applied, as far
>     Lars> as I can see, but would apparently have fixed the HELLO segfault, so
>     Lars> that seems worth it on its own (although the other calls to
>     Lars> cairo_ft_scaled_font_lock_face should also be fixed)...
>
> All the other calls to cairo_ft_scaled_font_lock_face use the
> cr_scaled_font member of the font_info passed in, which I think means
> thatʼs only done for fonts which were opened successfully.

I see.  So I went ahead and applied Pip's patch to Emacs 28 (after
testing that HELLO still works), and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no